#### D.5.5.1 GoettscheF

Procedure from library `goettsche.lib` (see goettsche_lib).

Usage:
  GoettscheF(z, t, n, b); z, t polynomials, n integer, b list of non-negative integers

Return:
  polynomial in z and t

Purpose:
  computes the Goettsche's formula up to degree n in t

Note:
  zero is returned if n<0 or b is not a list of non-negative integers or if there are not enough Betti numbers

Example:

    LIB "goettsche.lib";
    ring r=0, (t, z), ls;
    // consider the projective plane with Betti numbers 1,0,1,0,1
    list b=1,0,1,0,1;
    // get the Goettsche's formula up to degree 3
    print( GoettscheF(z, t, 3, b) );
    ==> 1+t+tz2+tz4+t2+2t2z2+3t2z4+2t2z6+t2z8+t3+2t3z2+5t3z4+6t3z6+5t3z8+2t3z10+t\
       3z12

User manual for Singular version 4.4.1, 2025, generated by texi2html.